# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXBeginLongMessage, DXEndLongMessage

Function

Enables multiple `DXMessage` calls to create a single long message.

Syntax
`
#include <dx/dx.h>
`

void DXBeginLongMessage()
void DXEndLongMessage()

Functional Details

The `DXMessage` routine is suitable for relatively short, unformatted messages. For long, multiple-line messages, you may enclose a series of calls to `DXMessage` between `DXBeginLongMessage` and `DXEndLongMessage`. In this case, new lines are not automatically appended to each message, and it is your responsibility to indicate appropriate line breaks by including newline characters in the various `DXMessage` calls. For example, multiple calls to `DXMessage` may be printed on the same line, or one call to `DXMessage` may contain multiple lines.

Return Value

None.

See Also

`DXMessage`

13.1 , "Error Handling and Messages".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]